\name{is.R}
\title{Are we using \R, rather than S?}
\usage{
is.R()
}
\alias{is.R}
\description{
  \code{is.R} returns \code{TRUE} if we are using \R and \code{FALSE}
  otherwise.

  The function has been written such as to correctly run in all versions
  of \R, S and S-plus.
  In order for code to be runnable in both \R and S dialects, either
  your the code must define \code{is.R} or use it as

  \code{if (exists(is.R) && is.function(is.R) && is.R()) \{}\cr
  \code{    }\emph{\#\# R-specific code}\cr
  \code{\} else \{}\cr
  \code{    }\emph{\#\# S-version of code}\cr
  \code{\}}
}
\seealso{\code{\link{version}}, \code{\link{system}}.}
\examples{
x <- runif(20); small <- x < 0.4
# which only exists in R:
if(is.R()) which(small) else seq(along=small)[small]
}
\keyword{environment}
\keyword{utilities}
